## ros-melodic-khi-robot-test 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(khi_robot_test)

## Compile as C++11, supported in ROS Kinetic and newer
# add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if your package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS
    rospy
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
# include
  ${catkin_INCLUDE_DIRS}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(tests/khi_robot_control/test_khi_robot_control_duaro.xml)
  add_rostest(tests/khi_robot_control/test_khi_robot_control_rs007n.xml)
  add_rostest(tests/khi_robot_control/test_khi_robot_control_rs007l.xml)
  add_rostest(tests/khi_robot_control/test_khi_robot_control_rs013n.xml)
  add_rostest(tests/khi_robot_control/test_khi_robot_control_rs020n.xml)
  add_rostest(tests/khi_robot_control/test_khi_robot_control_rs080n.xml)
endif()

=== debian/changelog ===
ros-melodic-khi-robot-test (1.4.0-2bionic) bionic; urgency=high

  * Merge pull request #79 <https://github.com/Kawasaki-Robotics/khi_robot/issues/79> from ohno-atsushi/add_rs020n
    Add rs020n
  * Add rs020n
  * Merge pull request #72 <https://github.com/Kawasaki-Robotics/khi_robot/issues/72> from matsui-hiro/rs025n_realrobot
    Add rs025n for real robot
  * Add files for real robot
  * Contributors: HirokiTakami, matsui-hiro, ohno_atsushi
  * Merge pull request #79 <https://github.com/Kawasaki-Robotics/khi_robot/issues/79> from ohno-atsushi/add_rs020n
    Add rs020n
  * Add rs020n
  * Merge pull request #72 <https://github.com/Kawasaki-Robotics/khi_robot/issues/72> from matsui-hiro/rs025n_realrobot
    Add rs025n for real robot
  * Add files for real robot
  * Contributors: HirokiTakami, matsui-hiro, ohno_atsushi

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Thu, 27 Apr 2023 15:00:00 -0000

ros-melodic-khi-robot-test (1.3.0-2bionic) bionic; urgency=high

  * Add rs013n (#50 <https://github.com/Kawasaki-Robotics/khi_robot/issues/50>)
    * Add rs013n
    * Update rs013n pkgs
    * Update libkrnx
    * Fixed rs013n_bringup.launch to use xacro
    * Update libkrnx to 2.2.0
    * Modify test program for RS series robots
    * Remove kinetic from travis.yml
  * Bugfix for noetic release (#44 <https://github.com/Kawasaki-Robotics/khi_robot/issues/44>)
    * update .travis.yml to add noetic test
    * update .travis.yml to change ubuntu version for noetic test
    * Changed to use xacro instead of xacro.py which is deprecated. like https://github.com/ros/urdf_sim_tutorial/pull/8
    * fixed "except A, a:" to "except A as a:" for python3 compatibility
    * add version checking of moveit_commander to the test script due to changes of the return value of MoveGroupCommander.plan() in 1.1.0
    * remove armhf build test for ubuntu 20.04
  * Contributors: Hiroki Matsui, Koki Shinjo

 -- nakamichi_d <nakamichi_d@khi.co.jp>  Mon, 04 Apr 2022 15:00:00 -0000

ros-melodic-khi-robot-test (1.2.0-2bionic) bionic; urgency=high



 -- nakamichi_d <nakamichi_d@khi.co.jp>  Tue, 26 Jan 2021 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-khi-robot-test
Section: misc
Priority: optional
Maintainer: nakamichi_d <nakamichi_d@khi.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-khi-duaro-moveit-config, ros-melodic-khi-robot-bringup, ros-melodic-khi-robot-control, ros-melodic-khi-robot-msgs, ros-melodic-khi-rs007l-moveit-config, ros-melodic-khi-rs007n-moveit-config, ros-melodic-khi-rs013n-moveit-config, ros-melodic-khi-rs020n-moveit-config, ros-melodic-khi-rs080n-moveit-config, ros-melodic-moveit-commander, ros-melodic-rospy, ros-melodic-rostest
Homepage: http://ros.org/wiki/khi_robot
Standards-Version: 3.9.2

Package: ros-melodic-khi-robot-test
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-khi-robot-msgs, ros-melodic-rospy
Description: Test package for khi_robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-khi-robot-test//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
